=== debian/changelog ===
molequeue (0.9.0-2) unstable; urgency=medium

  * debian patch cmake4.patch sets minimum cmake version 3.5
    to enable cmake 4. Closes: #1113293
  * Mark libmolequeue-dev as Multi-Arch: same
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Sep 2025 19:05:35 +0200

molequeue (0.9.0-1) unstable; urgency=low

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Sun, 23 May 2021 16:52:02 +0200
