=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%molequeue-$1.tar.gz%" \
    https://github.com/OpenChemistry/molequeue/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
